Bug 239420 - Recursive downloads from FTP are broken in our wget
Recursive downloads from FTP are broken in our wget
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 06:19 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 06:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-05-08 06:19:37 EDT
Description of problem:

Recirsive downloads from FTP just do not work. In upstream version they do.

Version-Release number of selected component (if applicable):

wget-1.10.2-8.fc6.1

How reproducible:

Allways

Steps to Reproduce:

1. wget -r -np ftp://ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/hpcsh
  
Actual results:
$ wget -r -np ftp://ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/hpcsh
--12:16:01--  ftp://ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/hpcsh
           => `ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/hpcsh'
Resolving ftp.netbsd.org... 204.152.184.36, 2001:4f8:1:c:230:48ff:fe31:43f2
Connecting to ftp.netbsd.org|204.152.184.36|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/NetBSD-daily/HEAD/200705050002Z ... done.
==> SIZE hpcsh ... done.
==> PASV ... done.    ==> RETR hpcsh ... 
No such file `hpcsh'.

$ 

Expected results:

$ wget -r -np ftp://ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/hpcsh
--12:30:34--  ftp://ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/hpcsh
           => `ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/.listing'
Resolving ftp.netbsd.org... 204.152.184.36, 2001:4f8:1:c:230:48ff:fe31:43f2
Connecting to ftp.netbsd.org|204.152.184.36|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/NetBSD-daily/HEAD/200705050002Z ... done.
==> PASV ... done.    ==> LIST ... done.

    [ <=>                                                                      
       ] 2,565         --.--K/s             

12:30:38 (162.15 MB/s) -
`ftp.netbsd.org/pub/NetBSD-daily/HEAD/200705050002Z/.listing' saved [2565]
...
Comment 1 Lubomir Kundrak 2007-05-09 16:17:43 EDT
The problem doesn't occur withou wget-1.10.2-to11.patch applied.
Comment 2 Lubomir Kundrak 2007-06-06 03:19:01 EDT
Are there any updates on what is done about this issue?
Comment 3 Lubomir Kundrak 2007-09-21 06:24:58 EDT
I see the patch was disabled in F-7 and devel. That's enough for me, thank you,
I'll close the bug now.

Note You need to log in before you can comment on or make changes to this bug.